/* Primary Button Styling*/

.primaryButton:hover {
    color: #ffffff;
    text-decoration: none;
    background-color: var(--button-hover-color);
    cursor: pointer;
  }
  
  .primaryButton:active {
    background-color: var(--button-hover-color);
  }
  
  .primaryButton,
  .downloadButton {
    background: var(--ifm-color-primary);
    border-radius: 4px;
    color: #ffffff;
    font-size: 16px;
    line-height: 30px;
    padding: 2px 12px;
    text-align: center;
    text-decoration: none;
    border: none;
    white-space: nowrap;
    cursor: pointer;
  }
  
  @media screen and (max-width: 996px) {
    .primaryButton,
    .downloadButton {
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
      background: var(--ifm-color-primary);
      border-radius: 4px;
      color: #ffffff;
      font-size: 16px;
      line-height: 30px;
      padding: 2px 12px;
      text-align: center;
      text-decoration: none;
      border: none;
    }
  }
  
  @media screen and (max-width: 600px) {
    .primaryButton,
    .downloadButton {
      text-overflow: ellipsis;
      overflow: hidden;
      white-space: nowrap;
      display: block;
      width: 100%;
      background: var(--ifm-color-primary);
      border-radius: 4px;
      color: #ffffff;
      font-size: 16px;
      line-height: 30px;
      padding: 2px 12px;
      text-align: center;
      text-decoration: none;
      border: none;
      white-space: nowrap;
    }
  }
  
  .iconShift {
    display: inline-flex;
    margin-left: 10px;
  }
  
  /*Tile Button Stylings*/
  
  .tileButton:hover {
    background: rgba(0, 0, 0, 0.9);
    color: #ffffff;
    text-decoration: none;
  }
  
  .tileButton:active {
    background: rgba(0, 0, 0, 0.9);
  }
  
  .tileButton {
    box-sizing: border-box;
    background: rgba(0, 0, 0, 0.3);
    border: 1px solid #ffffff;
    border-radius: 4px;
    padding: 6px 14px;
    text-align: center;
    color: #ffffff;
    margin: 0 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
  }
  
  /*Entity Button Styling*/
  
  .entityButton:hover {
    color: #ffffff;
    text-decoration: none;
  }
  
  .entityButton:active {
    background: #000000;
  }
  
  .entityButton {
    background: #000000;
    color: #ffffff;
    opacity: 0.5;
    padding-top: 5px;
    padding-left: 3px;
  }
  
  .mobileEntityButton:hover {
    color: #ffffff;
    text-decoration: none;
  }
  
  .mobileEntityButton:active {
    background: #000000;
  }
  
  .mobileEntityButton {
    background: #000000;
    color: #ffffff;
    display: block;
    width: 100%;
    height: 34px;
    opacity: 0.5;
    padding-top: 5px;
    padding-left: 3px;
  }
  
  .entityIconShift {
    display: inline-flex;
    margin-left: 4px;
  }
  
  /*Function Button Styling*/
  
  .functionButton:hover {
    text-decoration: none;
    border: 1px solid var(--ifm-color-primary);
    transition: border var(--ifm-transition-fast);
    color: var(--ifm-link-color);
    cursor: pointer;
  }
  
  .functionButton:active {
    border: 1px solid var(--ifm-color-primary);
    color: var(--ifm-link-color);
  }
  
  .functionButton {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 5px 15px;
    gap: 6px;
    width: fit-content;
    height: 37px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 20px;
    color: var(--ifm-color-primary);;
    background-color: white;
  }
  
  .functionButtonName {
    color: #000000;
  }
  
  /*Stylings for Download button*/
  
  .downloadButton:hover {
    color: #ffffff;
    text-decoration: none;
    background-color: #87b9c3;
    cursor: pointer;
  }
  
  .downloadButton:active {
    background-color: #87b9c3;
  }
  
  /*Stylings for Hero button*/
  
  .heroButton:hover {
    box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
    border: 1px solid var(--ifm-color-primary);;
    background: #F1F1F1;
    text-decoration: none;
  }
  
  .heroButton:active {
    background: #F1F1F1;
  }
  
  .heroButton {
    /* display: flex;
    justify-content: center;
    flex-direction: column; */
    text-align: center;
    background: #F1F1F1;
    box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
    border: 1px solid #7e97a9;
    border-radius: 4px;
    width: 100%;
    height: fit-content;
    text-decoration: none;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 28px;
    color: var(--ifm-navbar-background-color);
    padding: 8px;
  }